1

I am getting the below error while installing Sitecore Management Services package in my Sitecore. I am working upon Sitecore 10.0 and was trying to install the package Sitecore CLI 2.0.0

Method not found: 'Void Sitecore.Services.Core.Reflection.BaseTypeProvider`1..ctor(System.Reflection.Assembly[], System.Collections.Generic.IReadOnlyCollection`1<System.String>, System.Collections.Generic.IReadOnlyCollection`1<Sitecore.Web.AssembliesScanner.PrefetchedType>, Sitecore.Services.Core.Diagnostics.ILogger)'.

enter image description here

3
  • Can you check the log file and share the error log? Commented Apr 22, 2023 at 14:06
  • What version of the package are you installing? Is it compatible with Sitecore 10.0? Commented Apr 22, 2023 at 15:00
  • Refer here for version compatibility - support.sitecore.com/…. Commented Apr 8 at 18:57

1 Answer 1

0

Firstly, you need to verify that the correct version of .NET Core is installed. The error appears to be related to the Sitecore.Services.Core.dll assembly, which means you should check its dependencies to ensure proper functioning. Here are some dependencies that you may need to check:

Newtonsoft.Json: Sitecore.Services.Core.dll relies on the Newtonsoft.Json.dll assembly. Ensure that this assembly is present and has the correct version.

System.Web.Http: Sitecore.Services.Core.dll also relies on the System.Web.Http.dll assembly. Ensure that this assembly is present and has the correct version.

System.Net.Http.Formatting: Sitecore.Services.Core.dll relies on the System.Net.Http.Formatting.dll assembly. Ensure that this assembly is present and has the correct version.

Microsoft.AspNet.WebApi.Core: Sitecore.Services.Core.dll relies on the Microsoft.AspNet.WebApi.Core.dll assembly. Ensure that this assembly is present and has the correct version.

Sitecore.Kernel: Sitecore.Services.Core.dll also relies on the Sitecore.Kernel.dll assembly. Ensure that this assembly is present and has the correct version.

Ensure that all of the above dependencies are present and have the correct versions in your Sitecore solution. If the issue persists, try installing to a clean Sitecore instance

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.